package com.yuchen.saas.message.api.vo;

import lombok.Data;

/**
 * @author: 张逸飞
 * @date 2022/03/17 11:25
 * @description: 通知实体类
 */
@Data
public class NoticeVo {

    /**
     * 发送的园区ID
     */
    private String parkId;

    /**
     * 发送的路径（ws的连接路径）
     */
    private String destination;

    /**
     * 要发送的内容json字符串
     */
    private String infoJson;


    public static NoticeVo getByParkIdAndData(String parkId,String infoJson){
        NoticeVo noticeVo=new NoticeVo();
        noticeVo.setParkId(parkId);
        noticeVo.setInfoJson(infoJson);
        return noticeVo;
    }
}
